"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TypeDoc_1 = require("./TypeDoc");
const path = require("path");
const fs = require("fs");
const exec_1 = require("./exec");
function createTypeDocJson(inputPath) {
    const tmpDir = path.resolve(process.cwd(), '.tmp');
    const astJsonPath = path.resolve(tmpDir, `typedoc.json`);
    let stdout;
    try {
        stdout = exec_1.exec(`node_modules/.bin/typedoc --excludeExternals --json ${astJsonPath} ${inputPath}`, {
            stdio: undefined,
        });
    }
    catch (error) {
        if (error.stdout !== undefined) {
            console.error(error.stdout.toString());
        }
        throw new Error(`Couldn't generate schema due to a typescript error`);
    }
    const typedocJson = require(astJsonPath);
    fs.unlinkSync(astJsonPath);
    try {
        fs.rmdirSync(tmpDir);
    }
    catch (err) { }
    return new TypeDoc_1.TypeDoc(typedocJson);
}
exports.createTypeDocJson = createTypeDocJson;
//# sourceMappingURL=createTypeDocJson.js.map